=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)

#加载翻译文件
file(GLOB TS_FILES "${PROJECT_SOURCE_DIR}/plugin-showdesktop/translation/*.ts" )
#更新翻译文件并创建.qm文件
qt5_create_translation(QM_FILES ${PROJECT_SOURCE_DIR}/plugin-showdesktop ${TS_FILES})

set(${PLUGIN}_QM_FILES ${QM_FILES})

BUILD_UKUI_PLUGIN(${PLUGIN})

#安装翻译文件
set(SHOWDESKTOP_TRANSLATION_DIR "${PACKAGE_DATA_DIR}/plugin-showdesktop/translation")
add_compile_definitions(SHOWDESKTOP_TRANSLATION_DIR="${SHOWDESKTOP_TRANSLATION_DIR}")

install(FILES ${QM_FILES} DESTINATION ${SHOWDESKTOP_TRANSLATION_DIR})
