=== plugin-spacer/CMakeLists.txt ===
set(PLUGIN "spacer")

set(HEADERS
    spacer.h
)

set(SOURCES
    spacer.cpp
)


BUILD_UKUI_PLUGIN(${PLUGIN})
