=== plugin-startbar/CMakeLists.txt ===
set(PLUGIN "startbar")

set(HEADERS
    startbar.h
    startmenu_button.h
    taskview_button.h
    divider.h
)

set(SOURCES
    startbar.cpp
    startmenu_button.cpp
    taskview_button.cpp
    divider.cpp
)

set(UIS
)

set(LIBRARIES
)

install(FILES
    img/search.png
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-assistant/img"
    COMPONENT Runtime
)

#加载翻译文件
file(GLOB TS_FILES "${PROJECT_SOURCE_DIR}/plugin-startbar/translation/*.ts" )
#更新翻译文件并创建.qm文件
qt5_create_translation(QM_FILES ${PROJECT_SOURCE_DIR}/plugin-startbar ${TS_FILES})
set(${PLUGIN}_QM_FILES ${QM_FILES})

BUILD_UKUI_PLUGIN(${PLUGIN})

#安装翻译文件
set(STARTBAR_TRANSLATION_DIR "${PACKAGE_DATA_DIR}/plugin-startbar/translation")
add_compile_definitions(STARTBAR_TRANSLATION_DIR="${STARTBAR_TRANSLATION_DIR}")
install(FILES ${QM_FILES} DESTINATION ${STARTBAR_TRANSLATION_DIR})
