=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")

find_package(dbusmenu-qt5 REQUIRED)

set(HEADERS
    statusnotifier.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
#    statusnotifierwidget.h
    sniasync.h
    statusnotifier_storagearrow.h
    statusnotifierwatcher_interface.h
    systemtraytypedefs.h
    dbusproperties.h
    statusnotiferscrollarea.h
    statusnotifierbuttonabstract.h
)

set(SOURCES
    statusnotifier.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
#    statusnotifierwidget.cpp
    sniasync.cpp
    statusnotifier_storagearrow.cpp
    statusnotifierwatcher_interface.cpp
    dbusproperties.cpp
    statusnotiferscrollarea.cpp
    statusnotifierbuttonabstract.cpp
)

qt5_add_dbus_adaptor(DBUS_SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

list(APPEND SOURCES "${DBUS_SOURCES}")

set(LIBRARIES
    dbusmenu-qt5
)

#加载翻译文件
file(GLOB TS_FILES "${PROJECT_SOURCE_DIR}/plugin-statusnotifier/translation/*.ts" )
#更新翻译文件并创建.qm文件
qt5_create_translation(QM_FILES ${PROJECT_SOURCE_DIR}/plugin-statusnotifier ${TS_FILES})
set(${PLUGIN}_QM_FILES ${QM_FILES})

BUILD_UKUI_PLUGIN(${PLUGIN})

#安装翻译文件
set(STATUSNOTIFIER_TRANSLATION_DIR "${PACKAGE_DATA_DIR}/plugin-statusnotifier/translation")
add_compile_definitions(STATUSNOTIFIER_TRANSLATION_DIR="${STATUSNOTIFIER_TRANSLATION_DIR}")
install(FILES ${QM_FILES} DESTINATION ${STATUSNOTIFIER_TRANSLATION_DIR})
