=== debian/changelog ===
ukui-panel (4.0.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113600)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 22:23:32 +0300

ukui-panel (4.0.0.6-1) unstable; urgency=medium

  * New upstream release: drop libkf5screen.
  * d/control: Drop libkf5screen-dev. (Closes: #1079813)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 14 Apr 2025 19:22:09 +0800
