=== debian/watch ===
version=4
https://github.com/ukui/ukui-panel/releases .*/ukui-panel_(\d\S+)\.orig\.tar\.gz
